@echo off
REM check for one argument
IF "%~1"=="" (
    echo error using scrpt. Right use this script:
    echo %~nx0 path
    goto :EOF
)

REM copy acotr_csv parsert to /bin
copy "..\asotr_csv\target\release\asotr_csv.exe" .\

set "path_=%~1"

REM unpacking recursively archive using Python script
python recursive_unpack_targz.py %path_%

REM run parser
asotr_csv.exe -d %path_%

REM plot data
python plot_asotr_flight_all.py
